This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 493594 - Tracker: System Configuration Tools Cleanup Project
Tracker: System Configuration Tools Cleanup Project
Status: NEW
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
: Tracking
Depends On: 493901 493832 493871 493883
Blocks: 480902
  Show dependency treegraph
 
Reported: 2009-04-02 08:24 EDT by Jaroslav Reznik
Modified: 2014-10-14 08:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2009-04-02 08:24:07 EDT
Description:
This is "System Configuration Tools Cleanup Project" tracker for this component.

Additional information:
Look at https://bugzilla.redhat.com/480902 for more information.
Comment 1 Tomas Mraz 2009-04-02 08:44:05 EDT
    *  no about, no license
As this is a dialog (and I don't really want to change that) it would have to be another button at the bottom. But I don't have a problem adding that button. 

    * headings for checkboxes and configure buttons: redundancy
I like that as it is it adds a visual uniformity to the tabs.

    * descriptions missing for 'Options'-tab; tooltips are used for the other tabs, but only for the checkboxes, not for the buttons
There are missing tooltips for some of the Options-tab buttons but not for all of them. I'll add them.

    * 'Revert' tooltip says: 'Restore configuration files backed up before the previous configuration change.' Should be like: '... before this application has been started.'
Huh, but the revert does really what the tooltip states that it does. And not '...before this application has been started.' This is a nonsense.

    * no load defaults
Patches welcome but note that the defaults for some of the settings authconfig does aren't influenced by the authconfig but by the packages which are being set-up. So this is non-trivial change. Perhaps we could use the backup implementation to save all the settings on the very first start of the authconfig.

    * 'Revert' should be located in toolbar
There is no toolbar and hopefully will not be. As I said I like the authconfig as a dialog.

    * 'OK'-button is always sensitive, even if there was no change. 
That's because it is a dialog again.

Of course patches are welcome.
Comment 2 John Poelstra 2009-06-08 15:23:57 EDT
Adding 'Tracking' keyword to be excluded from rawhide rebase to Fedora 11
Comment 3 Jaroslav Reznik 2009-06-23 09:38:07 EDT
* Dialog style

We'd like to have consistent users experience for system configuration tools and it means all tools should be applications with common menus, help, about dialogs etc. It's annoying when you have to learn another user interface for applications from one system configs pool.
Comment 4 Tomas Mraz 2009-06-23 09:47:57 EDT
Basically making the tools more complicated makes them less annoying? Weird.

Note You need to log in before you can comment on or make changes to this bug.